module Qt6Declarative_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libqt6labsanimation
const libqt6labsanimation_path = "/usr/lib/libQt6LabsAnimation.so.6"
libqt6labsanimation_handle = C_NULL
get_libqt6labsanimation_path() = libqt6labsanimation_path
const libqt6labsanimation = "libQt6LabsAnimation.so.6"
export libqt6labsfolderlistmodel
const libqt6labsfolderlistmodel_path = "/usr/lib/libQt6LabsFolderListModel.so.6"
libqt6labsfolderlistmodel_handle = C_NULL
get_libqt6labsfolderlistmodel_path() = libqt6labsfolderlistmodel_path
const libqt6labsfolderlistmodel = "libQt6LabsFolderListModel.so.6"
export libqt6labsqmlmodels
const libqt6labsqmlmodels_path = "/usr/lib/libQt6LabsQmlModels.so.6"
libqt6labsqmlmodels_handle = C_NULL
get_libqt6labsqmlmodels_path() = libqt6labsqmlmodels_path
const libqt6labsqmlmodels = "libQt6LabsQmlModels.so.6"
export libqt6labssettings
const libqt6labssettings_path = "/usr/lib/libQt6LabsSettings.so.6"
libqt6labssettings_handle = C_NULL
get_libqt6labssettings_path() = libqt6labssettings_path
const libqt6labssettings = "libQt6LabsSettings.so.6"
export libqt6labssharedimage
const libqt6labssharedimage_path = "/usr/lib/libQt6LabsSharedImage.so.6"
libqt6labssharedimage_handle = C_NULL
get_libqt6labssharedimage_path() = libqt6labssharedimage_path
const libqt6labssharedimage = "libQt6LabsSharedImage.so.6"
export libqt6labswavefrontmesh
const libqt6labswavefrontmesh_path = "/usr/lib/libQt6LabsWavefrontMesh.so.6"
libqt6labswavefrontmesh_handle = C_NULL
get_libqt6labswavefrontmesh_path() = libqt6labswavefrontmesh_path
const libqt6labswavefrontmesh = "libQt6LabsWavefrontMesh.so.6"
export libqt6qml
const libqt6qml_path = "/usr/lib/libQt6Qml.so.6"
libqt6qml_handle = C_NULL
get_libqt6qml_path() = libqt6qml_path
const libqt6qml = "libQt6Qml.so.6"
export libqt6qmlcompiler
const libqt6qmlcompiler_path = "/usr/lib/libQt6QmlCompiler.so.6"
libqt6qmlcompiler_handle = C_NULL
get_libqt6qmlcompiler_path() = libqt6qmlcompiler_path
const libqt6qmlcompiler = "libQt6QmlCompiler.so.6"
export libqt6qmlcore
const libqt6qmlcore_path = "/usr/lib/libQt6QmlCore.so.6"
libqt6qmlcore_handle = C_NULL
get_libqt6qmlcore_path() = libqt6qmlcore_path
const libqt6qmlcore = "libQt6QmlCore.so.6"
export libqt6qmllocalstorage
const libqt6qmllocalstorage_path = "/usr/lib/libQt6QmlLocalStorage.so.6"
libqt6qmllocalstorage_handle = C_NULL
get_libqt6qmllocalstorage_path() = libqt6qmllocalstorage_path
const libqt6qmllocalstorage = "libQt6QmlLocalStorage.so.6"
export libqt6qmlmodels
const libqt6qmlmodels_path = "/usr/lib/libQt6QmlModels.so.6"
libqt6qmlmodels_handle = C_NULL
get_libqt6qmlmodels_path() = libqt6qmlmodels_path
const libqt6qmlmodels = "libQt6QmlModels.so.6"
export libqt6qmlnetwork
const libqt6qmlnetwork_path = "/usr/lib/libQt6QmlNetwork.so.6"
libqt6qmlnetwork_handle = C_NULL
get_libqt6qmlnetwork_path() = libqt6qmlnetwork_path
const libqt6qmlnetwork = "libQt6QmlNetwork.so.6"
export libqt6qmlworkerscript
const libqt6qmlworkerscript_path = "/usr/lib/libQt6QmlWorkerScript.so.6"
libqt6qmlworkerscript_handle = C_NULL
get_libqt6qmlworkerscript_path() = libqt6qmlworkerscript_path
const libqt6qmlworkerscript = "libQt6QmlWorkerScript.so.6"
export libqt6qmlxmllistmodel
const libqt6qmlxmllistmodel_path = "/usr/lib/libQt6QmlXmlListModel.so.6"
libqt6qmlxmllistmodel_handle = C_NULL
get_libqt6qmlxmllistmodel_path() = libqt6qmlxmllistmodel_path
const libqt6qmlxmllistmodel = "libQt6QmlXmlListModel.so.6"
export libqt6quick
const libqt6quick_path = "/usr/lib/libQt6Quick.so.6"
libqt6quick_handle = C_NULL
get_libqt6quick_path() = libqt6quick_path
const libqt6quick = "libQt6Quick.so.6"
export libqt6quickcontrols2
const libqt6quickcontrols2_path = "/usr/lib/libQt6QuickControls2.so.6"
libqt6quickcontrols2_handle = C_NULL
get_libqt6quickcontrols2_path() = libqt6quickcontrols2_path
const libqt6quickcontrols2 = "libQt6QuickControls2.so.6"
export libqt6quickcontrols2basic
const libqt6quickcontrols2basic_path = "/usr/lib/libQt6QuickControls2Basic.so.6"
libqt6quickcontrols2basic_handle = C_NULL
get_libqt6quickcontrols2basic_path() = libqt6quickcontrols2basic_path
const libqt6quickcontrols2basic = "libQt6QuickControls2Basic.so.6"
export libqt6quickcontrols2basicstyleimpl
const libqt6quickcontrols2basicstyleimpl_path = "/usr/lib/libQt6QuickControls2BasicStyleImpl.so.6"
libqt6quickcontrols2basicstyleimpl_handle = C_NULL
get_libqt6quickcontrols2basicstyleimpl_path() = libqt6quickcontrols2basicstyleimpl_path
const libqt6quickcontrols2basicstyleimpl = "libQt6QuickControls2BasicStyleImpl.so.6"
export libqt6quickcontrols2fusion
const libqt6quickcontrols2fusion_path = "/usr/lib/libQt6QuickControls2Fusion.so.6"
libqt6quickcontrols2fusion_handle = C_NULL
get_libqt6quickcontrols2fusion_path() = libqt6quickcontrols2fusion_path
const libqt6quickcontrols2fusion = "libQt6QuickControls2Fusion.so.6"
export libqt6quickcontrols2fusionstyleimpl
const libqt6quickcontrols2fusionstyleimpl_path = "/usr/lib/libQt6QuickControls2FusionStyleImpl.so.6"
libqt6quickcontrols2fusionstyleimpl_handle = C_NULL
get_libqt6quickcontrols2fusionstyleimpl_path() = libqt6quickcontrols2fusionstyleimpl_path
const libqt6quickcontrols2fusionstyleimpl = "libQt6QuickControls2FusionStyleImpl.so.6"
export libqt6quickcontrols2imagine
const libqt6quickcontrols2imagine_path = "/usr/lib/libQt6QuickControls2Imagine.so.6"
libqt6quickcontrols2imagine_handle = C_NULL
get_libqt6quickcontrols2imagine_path() = libqt6quickcontrols2imagine_path
const libqt6quickcontrols2imagine = "libQt6QuickControls2Imagine.so.6"
export libqt6quickcontrols2imaginestyleimpl
const libqt6quickcontrols2imaginestyleimpl_path = "/usr/lib/libQt6QuickControls2ImagineStyleImpl.so.6"
libqt6quickcontrols2imaginestyleimpl_handle = C_NULL
get_libqt6quickcontrols2imaginestyleimpl_path() = libqt6quickcontrols2imaginestyleimpl_path
const libqt6quickcontrols2imaginestyleimpl = "libQt6QuickControls2ImagineStyleImpl.so.6"
export libqt6quickcontrols2impl
const libqt6quickcontrols2impl_path = "/usr/lib/libQt6QuickControls2Impl.so.6"
libqt6quickcontrols2impl_handle = C_NULL
get_libqt6quickcontrols2impl_path() = libqt6quickcontrols2impl_path
const libqt6quickcontrols2impl = "libQt6QuickControls2Impl.so.6"
export libqt6quickcontrols2material
const libqt6quickcontrols2material_path = "/usr/lib/libQt6QuickControls2Material.so.6"
libqt6quickcontrols2material_handle = C_NULL
get_libqt6quickcontrols2material_path() = libqt6quickcontrols2material_path
const libqt6quickcontrols2material = "libQt6QuickControls2Material.so.6"
export libqt6quickcontrols2materialstyleimpl
const libqt6quickcontrols2materialstyleimpl_path = "/usr/lib/libQt6QuickControls2MaterialStyleImpl.so.6"
libqt6quickcontrols2materialstyleimpl_handle = C_NULL
get_libqt6quickcontrols2materialstyleimpl_path() = libqt6quickcontrols2materialstyleimpl_path
const libqt6quickcontrols2materialstyleimpl = "libQt6QuickControls2MaterialStyleImpl.so.6"
export libqt6quickcontrols2universal
const libqt6quickcontrols2universal_path = "/usr/lib/libQt6QuickControls2Universal.so.6"
libqt6quickcontrols2universal_handle = C_NULL
get_libqt6quickcontrols2universal_path() = libqt6quickcontrols2universal_path
const libqt6quickcontrols2universal = "libQt6QuickControls2Universal.so.6"
export libqt6quickcontrols2universalstyleimpl
const libqt6quickcontrols2universalstyleimpl_path = "/usr/lib/libQt6QuickControls2UniversalStyleImpl.so.6"
libqt6quickcontrols2universalstyleimpl_handle = C_NULL
get_libqt6quickcontrols2universalstyleimpl_path() = libqt6quickcontrols2universalstyleimpl_path
const libqt6quickcontrols2universalstyleimpl = "libQt6QuickControls2UniversalStyleImpl.so.6"
export libqt6quickdialogs2
const libqt6quickdialogs2_path = "/usr/lib/libQt6QuickDialogs2.so.6"
libqt6quickdialogs2_handle = C_NULL
get_libqt6quickdialogs2_path() = libqt6quickdialogs2_path
const libqt6quickdialogs2 = "libQt6QuickDialogs2.so.6"
export libqt6quickdialogs2quickimpl
const libqt6quickdialogs2quickimpl_path = "/usr/lib/libQt6QuickDialogs2QuickImpl.so.6"
libqt6quickdialogs2quickimpl_handle = C_NULL
get_libqt6quickdialogs2quickimpl_path() = libqt6quickdialogs2quickimpl_path
const libqt6quickdialogs2quickimpl = "libQt6QuickDialogs2QuickImpl.so.6"
export libqt6quickdialogs2utils
const libqt6quickdialogs2utils_path = "/usr/lib/libQt6QuickDialogs2Utils.so.6"
libqt6quickdialogs2utils_handle = C_NULL
get_libqt6quickdialogs2utils_path() = libqt6quickdialogs2utils_path
const libqt6quickdialogs2utils = "libQt6QuickDialogs2Utils.so.6"
export libqt6quickeffects
const libqt6quickeffects_path = "/usr/lib/libQt6QuickEffects.so.6"
libqt6quickeffects_handle = C_NULL
get_libqt6quickeffects_path() = libqt6quickeffects_path
const libqt6quickeffects = "libQt6QuickEffects.so.6"
export libqt6quicklayouts
const libqt6quicklayouts_path = "/usr/lib/libQt6QuickLayouts.so.6"
libqt6quicklayouts_handle = C_NULL
get_libqt6quicklayouts_path() = libqt6quicklayouts_path
const libqt6quicklayouts = "libQt6QuickLayouts.so.6"
export libqt6quickparticles
const libqt6quickparticles_path = "/usr/lib/libQt6QuickParticles.so.6"
libqt6quickparticles_handle = C_NULL
get_libqt6quickparticles_path() = libqt6quickparticles_path
const libqt6quickparticles = "libQt6QuickParticles.so.6"
export libqt6quickshapes
const libqt6quickshapes_path = "/usr/lib/libQt6QuickShapes.so.6"
libqt6quickshapes_handle = C_NULL
get_libqt6quickshapes_path() = libqt6quickshapes_path
const libqt6quickshapes = "libQt6QuickShapes.so.6"
export libqt6quicktemplates2
const libqt6quicktemplates2_path = "/usr/lib/libQt6QuickTemplates2.so.6"
libqt6quicktemplates2_handle = C_NULL
get_libqt6quicktemplates2_path() = libqt6quicktemplates2_path
const libqt6quicktemplates2 = "libQt6QuickTemplates2.so.6"
export libqt6quicktest
const libqt6quicktest_path = "/usr/lib/libQt6QuickTest.so.6"
libqt6quicktest_handle = C_NULL
get_libqt6quicktest_path() = libqt6quicktest_path
const libqt6quicktest = "libQt6QuickTest.so.6"
export libqt6quickwidgets
const libqt6quickwidgets_path = "/usr/lib/libQt6QuickWidgets.so.6"
libqt6quickwidgets_handle = C_NULL
get_libqt6quickwidgets_path() = libqt6quickwidgets_path
const libqt6quickwidgets = "libQt6QuickWidgets.so.6"
export libqt6labsplatform
const libqt6labsplatform_path = "/usr/lib/libQt6LabsPlatform.so.6"
libqt6labsplatform_handle = C_NULL
get_libqt6labsplatform_path() = libqt6labsplatform_path
const libqt6labsplatform = "libQt6LabsPlatform.so.6"
export libqt6labssynchronizer
const libqt6labssynchronizer_path = "/usr/lib/libQt6LabsSynchronizer.so.6"
libqt6labssynchronizer_handle = C_NULL
get_libqt6labssynchronizer_path() = libqt6labssynchronizer_path
const libqt6labssynchronizer = "libQt6LabsSynchronizer.so.6"
export libqt6quickvectorimage
const libqt6quickvectorimage_path = "/usr/lib/libQt6QuickVectorImage.so.6"
libqt6quickvectorimage_handle = C_NULL
get_libqt6quickvectorimage_path() = libqt6quickvectorimage_path
const libqt6quickvectorimage = "libQt6QuickVectorImage.so.6"
export libqt6quickvectorimagegenerator
const libqt6quickvectorimagegenerator_path = "/usr/lib/libQt6QuickVectorImageGenerator.so.6"
libqt6quickvectorimagegenerator_handle = C_NULL
get_libqt6quickvectorimagegenerator_path() = libqt6quickvectorimagegenerator_path
const libqt6quickvectorimagegenerator = "libQt6QuickVectorImageGenerator.so.6"
export libqt6quickvectorimagehelpers
const libqt6quickvectorimagehelpers_path = "/usr/lib/libQt6QuickVectorImageHelpers.so.6"
libqt6quickvectorimagehelpers_handle = C_NULL
get_libqt6quickvectorimagehelpers_path() = libqt6quickvectorimagehelpers_path
const libqt6quickvectorimagehelpers = "libQt6QuickVectorImageHelpers.so.6"
function __init__()
    global libqt6labsanimation_handle = dlopen(libqt6labsanimation_path)
    global libqt6labsfolderlistmodel_handle = dlopen(libqt6labsfolderlistmodel_path)
    global libqt6labsqmlmodels_handle = dlopen(libqt6labsqmlmodels_path)
    global libqt6labssettings_handle = dlopen(libqt6labssettings_path)
    global libqt6labssharedimage_handle = dlopen(libqt6labssharedimage_path)
    global libqt6labswavefrontmesh_handle = dlopen(libqt6labswavefrontmesh_path)
    global libqt6qml_handle = dlopen(libqt6qml_path)
    global libqt6qmlcompiler_handle = dlopen(libqt6qmlcompiler_path)
    global libqt6qmlcore_handle = dlopen(libqt6qmlcore_path)
    global libqt6qmllocalstorage_handle = dlopen(libqt6qmllocalstorage_path)
    global libqt6qmlmodels_handle = dlopen(libqt6qmlmodels_path)
    global libqt6qmlnetwork_handle = dlopen(libqt6qmlnetwork_path)
    global libqt6qmlworkerscript_handle = dlopen(libqt6qmlworkerscript_path)
    global libqt6qmlxmllistmodel_handle = dlopen(libqt6qmlxmllistmodel_path)
    global libqt6quick_handle = dlopen(libqt6quick_path)
    global libqt6quickcontrols2_handle = dlopen(libqt6quickcontrols2_path)
    global libqt6quickcontrols2basic_handle = dlopen(libqt6quickcontrols2basic_path)
    global libqt6quickcontrols2basicstyleimpl_handle = dlopen(libqt6quickcontrols2basicstyleimpl_path)
    global libqt6quickcontrols2fusion_handle = dlopen(libqt6quickcontrols2fusion_path)
    global libqt6quickcontrols2fusionstyleimpl_handle = dlopen(libqt6quickcontrols2fusionstyleimpl_path)
    global libqt6quickcontrols2imagine_handle = dlopen(libqt6quickcontrols2imagine_path)
    global libqt6quickcontrols2imaginestyleimpl_handle = dlopen(libqt6quickcontrols2imaginestyleimpl_path)
    global libqt6quickcontrols2impl_handle = dlopen(libqt6quickcontrols2impl_path)
    global libqt6quickcontrols2material_handle = dlopen(libqt6quickcontrols2material_path)
    global libqt6quickcontrols2materialstyleimpl_handle = dlopen(libqt6quickcontrols2materialstyleimpl_path)
    global libqt6quickcontrols2universal_handle = dlopen(libqt6quickcontrols2universal_path)
    global libqt6quickcontrols2universalstyleimpl_handle = dlopen(libqt6quickcontrols2universalstyleimpl_path)
    global libqt6quickdialogs2_handle = dlopen(libqt6quickdialogs2_path)
    global libqt6quickdialogs2quickimpl_handle = dlopen(libqt6quickdialogs2quickimpl_path)
    global libqt6quickdialogs2utils_handle = dlopen(libqt6quickdialogs2utils_path)
    global libqt6quickeffects_handle = dlopen(libqt6quickeffects_path)
    global libqt6quicklayouts_handle = dlopen(libqt6quicklayouts_path)
    global libqt6quickparticles_handle = dlopen(libqt6quickparticles_path)
    global libqt6quickshapes_handle = dlopen(libqt6quickshapes_path)
    global libqt6quicktemplates2_handle = dlopen(libqt6quicktemplates2_path)
    global libqt6quicktest_handle = dlopen(libqt6quicktest_path)
    global libqt6quickwidgets_handle = dlopen(libqt6quickwidgets_path)
    global libqt6labsplatform_handle = dlopen(libqt6labsplatform_path)
    global libqt6labssynchronizer_handle = dlopen(libqt6labssynchronizer_path)
    global libqt6quickvectorimage_handle = dlopen(libqt6quickvectorimage_path)
    global libqt6quickvectorimagegenerator_handle = dlopen(libqt6quickvectorimagegenerator_path)
    global libqt6quickvectorimagehelpers_handle = dlopen(libqt6quickvectorimagehelpers_path)
end
end
